| ghc-6.12.3: The GHC API | Contents | Index

CmmCPSZ

Synopsis

protoCmmCPSZ :: HscEnv -> (TopSRT, [CmmZ]) -> CmmZ -> IO (TopSRT, [CmmZ])

Documentation
Converts C-- with full proceedures and parameters to a CPS transformed C-- with the stack made manifest. Well, sort of.
protoCmmCPSZ :: HscEnv -> (TopSRT, [CmmZ]) -> CmmZ -> IO (TopSRT, [CmmZ])
Top level driver for the CPS pass
Produced by Haddock version 2.6.1